module Bosh; module Workspace; end; end

require "membrane"
require "shellwords"
require "rugged"
require "hashdiff"
require "cli/core_ext"
require "cli/validation"
require "bosh/template/renderer"

require "bosh/workspace/helpers/project_deployment_helper"
require "bosh/workspace/helpers/release_helper"
require "bosh/workspace/helpers/stemcell_helper"
require "bosh/workspace/helpers/dns_helper"
require "bosh/workspace/helpers/git_protocol_helper"

require "bosh/workspace/merge_tool"
require "bosh/workspace/schemas/project_deployment"
require "bosh/workspace/schemas/deployment_patch"
require "bosh/workspace/schemas/releases"
require "bosh/workspace/schemas/stemcells"
require "bosh/workspace/schemas/credentials"

require "bosh/workspace/shell"
require "bosh/workspace/manifest_builder"
require "bosh/workspace/release"
require "bosh/workspace/stemcell"
require "bosh/workspace/project_deployment"
require "bosh/workspace/stub_file"
require "bosh/workspace/deployment_patch"
require "bosh/workspace/credentials"
require "bosh/workspace/git_credentials_provider"
require "bosh/workspace/version"
